All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
IOCON: I/O pin configuration

## Overview

The MCUXpresso SDK provides Peripheral driver for the I/O pin configuration (IOCON) module of MCUXpresso SDK devices.

# Function groups

## Pin mux set

The function IOCONPinMuxSet() set pinmux for single pin according to selected configuration.

## Pin mux set

The function IOCON_SetPinMuxing() set pinmux for group of pins according to selected configuration.

# Typical use case

Example use of IOCON API to selection of GPIO mode. Refer to the driver examples codes located at <SDK_ROOT>/boards/<BOARD>/driver_examples/iocon

## Files

file | fsl_iocon.h

## Data Structures

struct | iocon_group_t
| Array of IOCON pin definitions passed to IOCON_SetPinMuxing() must be in this format. More...

## Functions

__STATIC_INLINE void | IOCON_PinMuxSet (IOCON_Type *base, uint8_t ionumber, uint32_t modefunc)
| IOCON function and mode selection definitions. More...
__STATIC_INLINE void | IOCON_SetPinMuxing (IOCON_Type *base, const iocon_group_t *pinArray, uint32_t arrayLength)
| Set all I/O Control pin muxing. More...

## Driver version

#define | LPC_IOCON_DRIVER_VERSION (MAKE_VERSION(2, 0, 1))
| IOCON driver version 2.0.1. More...

## Data Structure Documentation

struct iocon_group_t

## Macro Definition Documentation

#define LPC_IOCON_DRIVER_VERSION (MAKE_VERSION(2, 0, 1))

## Function Documentation

__STATIC_INLINE void IOCON_PinMuxSet | ( | IOCON_Type * | base,
|  | uint8_t | ionumber,
|  | uint32_t | modefunc
| ) |  |

Note
  See the User Manual for specific modes and functions supported by the various pins. Sets I/O Control pin mux

Parameters

  base | : The base of IOCON peripheral on the chip
  ionumber | : GPIO number to mux
  modefunc | : OR'ed values of type IOCON_*

Returns
  Nothing

__STATIC_INLINE void IOCON_SetPinMuxing | ( | IOCON_Type * | base,
|  | const iocon_group_t * | pinArray,
|  | uint32_t | arrayLength
| ) |  |

Parameters

  base | : The base of IOCON peripheral on the chip
  pinArray | : Pointer to array of pin mux selections
  arrayLength | : Number of entries in pinArray

Returns
  Nothing